GNU Radio's HPSDR Package: gr::hpsdr::hermesNB Class Reference

GNU Radio's HPSDR Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::hpsdr::hermesNB Class Reference

<+description of block+> More...

`#include <hermesNB.h>`

Inheritance diagram for gr::hpsdr::hermesNB:
[legend]

## Public Types
typedef boost::shared_ptr< hermesNB > | sptr

## Public Member Functions
void | set_Receive0Frequency (float)
void | set_Receive1Frequency (float)
void | set_Receive2Frequency (float)
void | set_Receive3Frequency (float)
void | set_Receive4Frequency (float)
void | set_Receive5Frequency (float)
void | set_Receive6Frequency (float)
void | set_Receive7Frequency (float)
void | set_TransmitFrequency (float)
void | set_RxSampRate (int)
void | set_RxPreamp (int)
void | set_PTTMode (int)
void | set_PTTOffMutesTx (int)
void | set_PTTOnMutesRx (int)
void | set_TxDrive (int)
void | set_ClockSource (const char *)
void | set_AlexRxAntenna (int)
void | set_AlexTxAntenna (int)
void | set_AlexRxHPF (int)
void | set_AlexTxLPF (int)
void | set_Verbose (int)
bool | stop ()
bool | start ()

## Static Public Member Functions
static sptr | make (int RxFreq0, int RxFreq1, int RxFreq2, int RxFreq3, int RxFreq4, int RxFreq5, int RxFreq6, int RxFreq7, int TxFreq, int RxPre, int PTTModeSel, int PTTTxMute, int PTTRxMute, unsigned char TxDr, int RxSmp, const char *Intfc, const char *ClkS, int AlexRA, int AlexTA, int AlexHPF, int AlexLPF, int Verbose, int NumRx, const char *MACAddr)
| Return a shared_ptr to a new instance of hpsdr::hermesNB. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<hermesNB> gr::hpsdr::hermesNB::sptr

## Member Function Documentation

## ◆ make()

static sptr gr::hpsdr::hermesNB::make | ( | int | RxFreq0,
|  | int | RxFreq1,
|  | int | RxFreq2,
|  | int | RxFreq3,
|  | int | RxFreq4,
|  | int | RxFreq5,
|  | int | RxFreq6,
|  | int | RxFreq7,
|  | int | TxFreq,
|  | int | RxPre,
|  | int | PTTModeSel,
|  | int | PTTTxMute,
|  | int | PTTRxMute,
|  | unsigned char | TxDr,
|  | int | RxSmp,
|  | const char * | Intfc,
|  | const char * | ClkS,
|  | int | AlexRA,
|  | int | AlexTA,
|  | int | AlexHPF,
|  | int | AlexLPF,
|  | int | Verbose,
|  | int | NumRx,
|  | const char * | MACAddr
| ) |  |
| static

Return a shared_ptr to a new instance of hpsdr::hermesNB.

To avoid accidental use of raw pointers, hpsdr::hermesNB's constructor is in a private implementation class. hpsdr::hermesNB::make is the public interface for creating new instances.

## ◆ set_AlexRxAntenna()

void gr::hpsdr::hermesNB::set_AlexRxAntenna | ( | int |  | ) |

## ◆ set_AlexRxHPF()

void gr::hpsdr::hermesNB::set_AlexRxHPF | ( | int |  | ) |

## ◆ set_AlexTxAntenna()

void gr::hpsdr::hermesNB::set_AlexTxAntenna | ( | int |  | ) |

## ◆ set_AlexTxLPF()

void gr::hpsdr::hermesNB::set_AlexTxLPF | ( | int |  | ) |

## ◆ set_ClockSource()

void gr::hpsdr::hermesNB::set_ClockSource | ( | const char * |  | ) |

## ◆ set_PTTMode()

void gr::hpsdr::hermesNB::set_PTTMode | ( | int |  | ) |

## ◆ set_PTTOffMutesTx()

void gr::hpsdr::hermesNB::set_PTTOffMutesTx | ( | int |  | ) |

## ◆ set_PTTOnMutesRx()

void gr::hpsdr::hermesNB::set_PTTOnMutesRx | ( | int |  | ) |

## ◆ set_Receive0Frequency()

void gr::hpsdr::hermesNB::set_Receive0Frequency | ( | float |  | ) |

## ◆ set_Receive1Frequency()

void gr::hpsdr::hermesNB::set_Receive1Frequency | ( | float |  | ) |

## ◆ set_Receive2Frequency()

void gr::hpsdr::hermesNB::set_Receive2Frequency | ( | float |  | ) |

## ◆ set_Receive3Frequency()

void gr::hpsdr::hermesNB::set_Receive3Frequency | ( | float |  | ) |

## ◆ set_Receive4Frequency()

void gr::hpsdr::hermesNB::set_Receive4Frequency | ( | float |  | ) |

## ◆ set_Receive5Frequency()

void gr::hpsdr::hermesNB::set_Receive5Frequency | ( | float |  | ) |

## ◆ set_Receive6Frequency()

void gr::hpsdr::hermesNB::set_Receive6Frequency | ( | float |  | ) |

## ◆ set_Receive7Frequency()

void gr::hpsdr::hermesNB::set_Receive7Frequency | ( | float |  | ) |

## ◆ set_RxPreamp()

void gr::hpsdr::hermesNB::set_RxPreamp | ( | int |  | ) |

## ◆ set_RxSampRate()

void gr::hpsdr::hermesNB::set_RxSampRate | ( | int |  | ) |

## ◆ set_TransmitFrequency()

void gr::hpsdr::hermesNB::set_TransmitFrequency | ( | float |  | ) |

## ◆ set_TxDrive()

void gr::hpsdr::hermesNB::set_TxDrive | ( | int |  | ) |

## ◆ set_Verbose()

void gr::hpsdr::hermesNB::set_Verbose | ( | int |  | ) |

## ◆ start()

bool gr::hpsdr::hermesNB::start | ( |  | ) |

## ◆ stop()

bool gr::hpsdr::hermesNB::stop | ( |  | ) |

The documentation for this class was generated from the following file:

- hermesNB.h